
Foreman - Bug #1000

Out of sync shows hosts with last report equal puppet_interval

06/21/2011 06:08 AM - Kai Stian Olstad

Status: Closed   

Priority: Normal   

Assignee: Kai Stian Olstad   

Category: Reporting   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If puppet_interval is 30 minutes, out of sync report will show hosts with 30 minutes since last report because is uses 'last_report < "30

minutes ago" and status.enabled'

Since the hosts run Puppet every 30 minutes and it takes some time to run through the recipe Foreman should not show them in the

report.

Associated revisions

Revision d5ffa102 - 07/11/2011 03:30 AM - Kai Stian Olstad

Fixes #1000 Out of sync shows hosts with last report equal puppet_interval

History

#1 - 06/28/2011 10:30 AM - Kai Stian Olstad

- File 0001-Fixes-1000-Out-of-sync-shows-hosts-with-last-report-.patch added

Made a patch that adds 5 minutes to the out_of_sync report.

#2 - 07/11/2011 03:32 AM - Ohad Levy

- Category set to Reporting

- Assignee set to Kai Stian Olstad

- Target version set to 0.4

#3 - 07/11/2011 03:52 AM - Kai Stian Olstad

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset d5ffa102455d0c507b34672d2b40a0a1169f98e0.

Files

0001-Fixes-1000-Out-of-sync-shows-hosts-with-last-report-.patch 988 Bytes 06/28/2011 Kai Stian Olstad
